import { Block, BlockObject } from "./Block";
import postcss = require("postcss");
import { ClassifiedParsedSelectors, QueryKeySelector as QueryKeySelectorImpl } from "opticss";
export interface Query {
    execute(container: postcss.Container): ClassifiedParsedSelectors;
}
export declare class QueryKeySelector implements Query {
    target: BlockObject;
    impl: QueryKeySelectorImpl;
    constructor(obj: BlockObject);
    execute(container: postcss.Container, block?: Block): ClassifiedParsedSelectors;
}
