import * as postcss from "postcss";
import cssBlocks = require("../src/cssBlocks");
import BEMProcessor from "./util/BEMProcessor";
export declare class LocalScopeLookupTest extends BEMProcessor {
    assertError(errorType: typeof cssBlocks.CssBlockError, message: string, promise: postcss.LazyResult): any;
    "can look up a local object"(): Promise<void>;
    "can look up a referenced object"(): Promise<void>;
    "can look up a referenced object with an aliased named"(): Promise<void>;
}
