import * as postcss from "postcss";
import { CssBlockOptions } from "./options";
import { OutputMode } from "./OutputMode";
import { CssBlockError, InvalidBlockSyntax, MissingSourcePath } from "./errors";
declare const _default: {
    (postcssImpl: typeof postcss): (opts?: Partial<Readonly<CssBlockOptions>> | undefined) => any;
    OutputMode: typeof OutputMode;
    CssBlockError: typeof CssBlockError;
    InvalidBlockSyntax: typeof InvalidBlockSyntax;
    MissingSourcePath: typeof MissingSourcePath;
};
export = _default;
