import * as postcss from "postcss";
import { Block } from "../src/Block";
export declare class TemplateAnalysisTests {
    private parseBlock(css, filename, opts?, blockName?);
    "can add styles from a block"(): Promise<void>;
    "can add dynamic styles from a block"(): Promise<void>;
    "can correlate styles"(): Promise<void>;
    "uncomment"(): void;
    "can add styles from two blocks"(): Promise<void>;
    "adding dynamic styles enumerates correlation in analysis"(): Promise<void>;
    "multiple dynamic values added using `addExclusiveStyles` enumerate correlations correctly in analysis"(): Promise<void>;
    "adding the same styles more than once doesn't duplicate the styles found"(): Promise<void>;
    "multiple exclusive dynamic values added using enumerate correlations correctly in analysis"(): Promise<void>;
    "toggling between two classes with states of the same name"(): Promise<void>;
    "addExclusiveStyles generates correct correlations when `alwaysPresent` is true"(): Promise<void>;
    "addExclusiveStyles generates correct correlations when `alwaysPresent` is false"(): Promise<void>;
    "can generate an analysis for the optimizer"(): Promise<void>;
    "correlating two classes from the same block on the same element throws an error"(): Promise<void>;
    "built-in template validators may be configured with boolean values"(): Promise<void>;
    "custom template validators may be passed to analysis"(): Promise<void>;
    "adding both root and a class from the same block to the same elment throws an error"(): Promise<void>;
    "adding both root and a state from the same block to the same element is allowed"(): Promise<[Block, postcss.Container]>;
    "classes from other blocks may be added to the root element"(): Promise<void>;
    "throws when states are applied without their parent root"(): Promise<void>;
    "throws when states are applied without their parent BlockClass"(): Promise<void>;
    'Throws when inherited states are applied without their root'(): Promise<void>;
    'Inherited states pass validation when applied with their root'(): Promise<void>;
}
